curl https://hardy-cricket-48359-us1-vector.upstash.io/fetch \
-H "Authorization: Bearer ABcFMGhhcmR5LWNyaWNrZXQtNDgzNTktdXMxYWRtaW5PREE0TkdVME5XUXRaV0poTWkwME9UVTFMVGxrTm1NdE9USTROR0ppWkRsak56ZGs=" \
-d '{ "ids": ["1", "2", "abcde"],
"includeVectors": false,
"includeMetadata": true }'
const url = "https://better-dodo-20522-us1-vector.upstash.io/fetch"; // Replace with your index endpoint.
const token = "YOUR_TOKEN"; // Replace with your actual token
const data = {
ids: ["1", "2", "abcde"],
includeVectors: false,
includeMetadata: true,
};
fetch(url, {
method: "POST",
headers: {
Authorization: `Bearer ${token}`,
"Content-Type": "application/json",
},
body: JSON.stringify(data),
})
.then((response) => response.json())
.then((data) => console.log(data))
.catch((error) => console.error("Error:", error));
import requests
import json
url = 'https://better-dodo-20522-us1-vector.upstash.io/fetch' # Replace with your index endpoint.
token = 'YOUR_TOKEN' # Replace with your actual token
headers = {
'Authorization': f'Bearer {token}',
'Content-Type': 'application/json'
}
data = {
'ids': ["1", "2", "abcde"],
includeVectors: False,
includeMetadata: True
}
response = requests.post(url, headers=headers, data=json.dumps(data))
print(response.json())
{
"result" : [
{
"id" : "1",
"metadata" : {"genre":"comedy","year":2020}
},
{
"id" : "2",
"metadata" : {"genre":"comedy","year":2020}
},
null
]
}
Endpoints
Fetch Vectors
This endpoint returns the data related to the vectors with the provided IDs.
GET
/
fetch
curl https://hardy-cricket-48359-us1-vector.upstash.io/fetch \
-H "Authorization: Bearer ABcFMGhhcmR5LWNyaWNrZXQtNDgzNTktdXMxYWRtaW5PREE0TkdVME5XUXRaV0poTWkwME9UVTFMVGxrTm1NdE9USTROR0ppWkRsak56ZGs=" \
-d '{ "ids": ["1", "2", "abcde"],
"includeVectors": false,
"includeMetadata": true }'
const url = "https://better-dodo-20522-us1-vector.upstash.io/fetch"; // Replace with your index endpoint.
const token = "YOUR_TOKEN"; // Replace with your actual token
const data = {
ids: ["1", "2", "abcde"],
includeVectors: false,
includeMetadata: true,
};
fetch(url, {
method: "POST",
headers: {
Authorization: `Bearer ${token}`,
"Content-Type": "application/json",
},
body: JSON.stringify(data),
})
.then((response) => response.json())
.then((data) => console.log(data))
.catch((error) => console.error("Error:", error));
import requests
import json
url = 'https://better-dodo-20522-us1-vector.upstash.io/fetch' # Replace with your index endpoint.
token = 'YOUR_TOKEN' # Replace with your actual token
headers = {
'Authorization': f'Bearer {token}',
'Content-Type': 'application/json'
}
data = {
'ids': ["1", "2", "abcde"],
includeVectors: False,
includeMetadata: True
}
response = requests.post(url, headers=headers, data=json.dumps(data))
print(response.json())
{
"result" : [
{
"id" : "1",
"metadata" : {"genre":"comedy","year":2020}
},
{
"id" : "2",
"metadata" : {"genre":"comedy","year":2020}
},
null
]
}
Request
You can either upsert a single vector, or multiple vectors in a array.The ID of the vector
Whether to include the metadata of the vectors in the response. Setting this
true would be the best practice, since it will make it easier to identify
the vectors.Whether to include the vector data of the resulting vectors.
Response
It returns the data related to provided vectors ids in sorted manner. Object
is
null if the vector related to that ID couldn’t be found.curl https://hardy-cricket-48359-us1-vector.upstash.io/fetch \
-H "Authorization: Bearer ABcFMGhhcmR5LWNyaWNrZXQtNDgzNTktdXMxYWRtaW5PREE0TkdVME5XUXRaV0poTWkwME9UVTFMVGxrTm1NdE9USTROR0ppWkRsak56ZGs=" \
-d '{ "ids": ["1", "2", "abcde"],
"includeVectors": false,
"includeMetadata": true }'
const url = "https://better-dodo-20522-us1-vector.upstash.io/fetch"; // Replace with your index endpoint.
const token = "YOUR_TOKEN"; // Replace with your actual token
const data = {
ids: ["1", "2", "abcde"],
includeVectors: false,
includeMetadata: true,
};
fetch(url, {
method: "POST",
headers: {
Authorization: `Bearer ${token}`,
"Content-Type": "application/json",
},
body: JSON.stringify(data),
})
.then((response) => response.json())
.then((data) => console.log(data))
.catch((error) => console.error("Error:", error));
import requests
import json
url = 'https://better-dodo-20522-us1-vector.upstash.io/fetch' # Replace with your index endpoint.
token = 'YOUR_TOKEN' # Replace with your actual token
headers = {
'Authorization': f'Bearer {token}',
'Content-Type': 'application/json'
}
data = {
'ids': ["1", "2", "abcde"],
includeVectors: False,
includeMetadata: True
}
response = requests.post(url, headers=headers, data=json.dumps(data))
print(response.json())
{
"result" : [
{
"id" : "1",
"metadata" : {"genre":"comedy","year":2020}
},
{
"id" : "2",
"metadata" : {"genre":"comedy","year":2020}
},
null
]
}
Was this page helpful?
⌘I